Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion

From: Michael Albinus <[email-masked]>
Date: Tue, 03 Jan 2023 09:56:44 +0100

Julien Roy <[email-masked]> writes:

Hi Julien,

> When I C-x C-f and start typing a TRAMP session to an SSH host, for instance
> `/ssh:`, then hit <tab>, I see a list of known hosts proposed for
> completion. This is the expected behavior. If I then enable fido-mode
> and do the same, instead of having known hosts proposed when hitting
> <tab>, I only get a list of TRAMP methods for completion, eg. `ssh:`,
> `sshx:` and `sshfs:`. I would expect to also have known hosts on
> fido-mode.
>
> To reproduce, open emacs -Q; then:
> C-x C-f /ssh: <tab>
> (This produces the expected behavior of proposing known hosts)
> M-x fido-mode
> C-x C-f /ssh: <tab>
> (Now, only TRAMP methods are proposed for completion)

This is the same as bug#51386, bug#52758, bug#53513, bug#54042. I've merged
your report with them.

Best regards, Michael.